View Issue Details

IDProjectCategoryView StatusLast Update
0000308WackoWikicachepublic2009-10-13 16:03
ReporteradministratorAssigned Toadministrator 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version4.2 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000308: Cache DBMS queries
DescriptionDatabase Query Caching
Caching the results of database queries can reduce the number of requests made to a database server and increase the scalabity

Caching the results of severe SQL-queries
Maintain a local cache of the results of certain resource-SQL-queries.

DBMS cache term relevance :
Cache results of SQL-queries for no more than the specified number of seconds. Using the values of more than 1200 is not desirable.

config
"cache_sql" => 0,
"cache_sql_ttl" => 600,


=> 600 (default value) 10 min - means the query cache will invalided / refreshed after that period
=> 1200 (max suggested time) 20 min

init class
define("CACHE_SQL_DIR", "queries/");
Steps To Reproducefunction LoadSingle($query, $docache = 0)
$docache = 0

$docache is set to 0 -> this prevents now the sql-cache from working, so for testing you have to set it to 1 (function LoadAll / LoadSingle)

e.g.
$this->LoadAll($sql, 1);

$cache = 1
$this->LoadAll($sql, $cache);
Additional Informationback ported from SATtva's fork :)
TagsNo tags attached.

Relationships

related to 0000318 resolvedadministrator multiple records in table cache for one hash 

Activities

administrator

2009-07-02 23:59

administrator   ~0000663

Last edited: 2009-07-03 02:54

View 3 revisions

code changes already merged with rev328
rev491/492 added $docache = 1 to some SQL queries

Issue History

Date Modified Username Field Change
2009-07-02 23:50 administrator New Issue
2009-07-02 23:59 administrator Note Added: 0000663
2009-07-03 00:06 administrator Note Edited: 0000663 View Revisions
2009-07-03 00:07 administrator Resolution open => fixed
2009-07-03 00:07 administrator Fixed in Version => 5.0.0
2009-07-03 00:26 administrator Description Updated View Revisions
2009-07-03 00:26 administrator Steps to Reproduce Updated View Revisions
2009-07-03 02:54 administrator Note Edited: 0000663 View Revisions
2009-07-03 03:02 administrator Status assigned => resolved
2009-07-03 03:02 administrator Steps to Reproduce Updated View Revisions
2009-07-05 09:47 administrator Description Updated View Revisions
2009-08-12 10:10 administrator Description Updated View Revisions
2009-10-10 18:42 administrator Relationship added related to 0000318
2009-10-13 15:58 administrator Target Version 5.0.0 => 5.0.beta
2009-10-13 16:03 administrator Fixed in Version 5.0.0 => 5.0.beta
2010-03-08 10:11 administrator Category Cache => cache